Skip to main content
GET
/
consumers
/
{consumer_id}
/
syncs
/
{syncid}
/
flows
/
{flowid}
/
executions
Get executions information for one consumer/flow/sync
curl --request GET \
  --url https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/flows/{flowid}/executions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "parentexecutionid": "<string>",
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z",
    "status": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.chift.eu/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This access token needs to be included in each of your request to the Chift API.

Path Parameters

consumer_id
string<uuid>
required
syncid
string<uuid>
required
flowid
string<uuid>
required

Query Parameters

date_to
string<date-time> | null
date_from
string<date-time> | null

Response

Successful Response

id
string
required

Execution id

parentexecutionid
string | null
required

Parent execution id. An execution is linked to multiple child executions linked to consumers.

start
string<date-time>
required
end
string<date-time> | null
required
status
string
required